# mathjax-num

> A MathJax v3 extension that adds a `\num` command for printing a localized decimal marker.

[![Version](https://img.shields.io/npm/v/@innodoc/mathjax-num?label=version)](https://www.npmjs.com/package/@innodoc/mathjax-num)
[![License](https://img.shields.io/npm/l/@innodoc/mathjax-num)](https://www.npmjs.com/package/@innodoc/mathjax-num)

## Installation

Enable the extension by
[configuring MathJax](https://docs.mathjax.org/en/latest/web/configuration.html)
appropriately, e.g.:

```js
MathJax = {
   loader: {
      load: '[mathjaxnum]/num.min.js'],
      paths: {
        mathjaxnum: 'https://cdn.jsdelivr.net/npm/@innodoc/mathjax-num@latest/dist',
      },
   },
   tex: {
      packages: {
        '[+]': ['num'],
      },
   },
};
```

## Usage

`\num{3.5}` (also `\num{3,5}`) can be used to render a decimal number with a
localized decimal separator. The separator is determined by the html `lang`
attribute.

Also, it is possible to output only the localized decimal marker by using the
`\decmarker` command.

## License

MIT
